Winnetwk.RESOURCEUSAGE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: Winnetwk, class: RESOURCEUSAGE

Package com.sun.jna.platform.win32

# Class Winnetwk.RESOURCEUSAGE

java.lang.Object
com.sun.jna.platform.win32.Winnetwk.RESOURCEUSAGE

Enclosing class:
  Winnetwk

public class Winnetwk.RESOURCEUSAGE extends Object
A set of bit flags describing how the resource can be used. Note that this member can be specified only if the dwScope member is equal to RESOURCE_GLOBALNET. This member can be one of the following values defined in the Winnetwk.h header file. NOTE: This are for the dwUsage member of NetResource

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RESOURCEUSAGE_ALL`
  Setting this value is equivalent to setting RESOURCEUSAGE_CONNECTABLE, RESOURCEUSAGE_CONTAINER, and RESOURCEUSAGE_ATTACHED.
  `static final int`
  `RESOURCEUSAGE_ATTACHED`
  The resource must be attached.
  `static final int`
  `RESOURCEUSAGE_CONNECTABLE`
  The resource is a connectable resource; the name pointed to by the lpRemoteName member can be passed to the WNetAddConnection function to make a network connection.
  `static final int`
  `RESOURCEUSAGE_CONTAINER`
  The resource is a container resource; the name pointed to by the lpRemoteName member can be passed to the WNetOpenEnum function to enumerate the resources in the container.
  `static final int`
  `RESOURCEUSAGE_NOLOCALDEVICE`
  The resource is not a local device.
  `static final int`
  `RESOURCEUSAGE_SIBLING`
  The resource is a sibling.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RESOURCEUSAGE()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RESOURCEUSAGE_CONNECTABLE

    public static final int RESOURCEUSAGE_CONNECTABLE
    The resource is a connectable resource; the name pointed to by the lpRemoteName member can be passed to the WNetAddConnection function to make a network connection.
    See Also:
      - Constant Field Values

  - ### RESOURCEUSAGE_CONTAINER

    public static final int RESOURCEUSAGE_CONTAINER
    The resource is a container resource; the name pointed to by the lpRemoteName member can be passed to the WNetOpenEnum function to enumerate the resources in the container.
    See Also:
      - Constant Field Values

  - ### RESOURCEUSAGE_NOLOCALDEVICE

    public static final int RESOURCEUSAGE_NOLOCALDEVICE
    The resource is not a local device.
    See Also:
      - Constant Field Values

  - ### RESOURCEUSAGE_SIBLING

    public static final int RESOURCEUSAGE_SIBLING
    The resource is a sibling. This value is not used by Windows.
    See Also:
      - Constant Field Values

  - ### RESOURCEUSAGE_ATTACHED

    public static final int RESOURCEUSAGE_ATTACHED
    The resource must be attached. This value specifies that a function to enumerate resource this should fail if the caller is not authenticated, even if the network permits enumeration without authentication.
    See Also:
      - Constant Field Values

  - ### RESOURCEUSAGE_ALL

    public static final int RESOURCEUSAGE_ALL
    Setting this value is equivalent to setting RESOURCEUSAGE_CONNECTABLE, RESOURCEUSAGE_CONTAINER, and RESOURCEUSAGE_ATTACHED.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RESOURCEUSAGE

    public RESOURCEUSAGE()